Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface NewTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface NewTree
      extends ExpressionTree

  A tree node to declare a new instance of a class. For example:

         new identifier ( )

         new identifier ( arguments )

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getConstructorExpression​()` | Returns the constructor expression of this 'new' expression.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getConstructorExpression

          ExpressionTree getConstructorExpression​()

      Returns the constructor expression of this 'new' expression.
      Returns:
        the constructor expression of this 'new' expression